#pragma once

#include "CoreMinimal.h"
#include "BaseSurvivorAnimInstance.h"
#include "GameplayTagContainer.h"
#include "BreathingSurvivorSubAnimInstance.generated.h"

class UAnimSequence;

UCLASS(Blueprintable, NonTransient)
class DBDANIMATION_API UBreathingSurvivorSubAnimInstance : public UBaseSurvivorAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isDead;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isCrawling;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asBreathingTag;

	UPROPERTY(EditAnywhere)
	FGameplayTag _asBreathingCrawlingTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asBreathing;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAnimSequence* _asBreathingCrawling;

public:
	UBreathingSurvivorSubAnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UBreathingSurvivorSubAnimInstance) { return 0; }
